// Code generated by go-swagger; DO NOT EDIT.

package roles

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"

	"gitlab.com/apricotsoft/public/infrastructure/vmdap/internal/transports/http/codegen/models"
)

/*UserRoleEditDefault An unexpected error response

swagger:response userRoleEditDefault
*/
type UserRoleEditDefault struct {
	_statusCode int

	/*
	  In: Body
	*/
	Payload *models.Error `json:"body,omitempty"`
}

// NewUserRoleEditDefault creates UserRoleEditDefault with default headers values
func NewUserRoleEditDefault(code int) *UserRoleEditDefault {
	if code <= 0 {
		code = 500
	}

	return &UserRoleEditDefault{
		_statusCode: code,
	}
}

// WithStatusCode adds the status to the user role edit default response
func (o *UserRoleEditDefault) WithStatusCode(code int) *UserRoleEditDefault {
	o._statusCode = code
	return o
}

// SetStatusCode sets the status to the user role edit default response
func (o *UserRoleEditDefault) SetStatusCode(code int) {
	o._statusCode = code
}

// WithPayload adds the payload to the user role edit default response
func (o *UserRoleEditDefault) WithPayload(payload *models.Error) *UserRoleEditDefault {
	o.Payload = payload
	return o
}

// SetPayload sets the payload to the user role edit default response
func (o *UserRoleEditDefault) SetPayload(payload *models.Error) {
	o.Payload = payload
}

// WriteResponse to the client
func (o *UserRoleEditDefault) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	rw.WriteHeader(o._statusCode)
	if o.Payload != nil {
		payload := o.Payload
		if err := producer.Produce(rw, payload); err != nil {
			panic(err) // let the recovery middleware deal with this
		}
	}
}
